%define anolis_release 2

Name:           fdk-aac-free
Version:        2.0.2
Release:        %{anolis_release}%{dist}
Summary:        Third-Party Modified Version of the Fraunhofer FDK AAC Codec Library for Android

License:        FDK-AAC
URL:            https://cgit.freedesktop.org/~wtay/fdk-aac/log/?h=fedora
Source0:        https://people.freedesktop.org/~wtay/fdk-aac-free-%{version}.tar.gz

BuildRequires:  gcc gcc-c++
BuildRequires:  automake libtool
BuildRequires: make

%description
The Third-Party Modified Version of the Fraunhofer FDK AAC Codec Library
for Android is software that implements part of the MPEG Advanced Audio Coding
("AAC") encoding and decoding scheme for digital audio.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n fdk-aac-%{version}
autoreconf -vif

%build
%configure \
  --disable-silent-rules \
  --disable-static

%make_build


%install
%make_install INSTALL="install -p"
%generate_compatibility_deps

%files
%license NOTICE
%{_libdir}/*.so.2
%{_libdir}/*.so.%{version}
%dir %{abidir}
%{abidir}/libfdk-aac.dump

%files devel
%doc documentation/*.pdf
%dir %{_includedir}/fdk-aac
%{_includedir}/fdk-aac/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/fdk-aac.pc

%files doc
%doc ChangeLog

%changelog 
* Thu Feb 16 2023 happy_orange <songnannan@linux.alibaba.com> - 2.0.2-2
- add doc and abi info

* Wed Apr 13 2022 Zhongling He <zhonglingh@linux.alibaba.com> 2.0.2-1
- Init package from upstream v2.0.2
